REM The following is required in all INSTALL.CMD files
if exist c:\system.sav\util\SetVariables.cmd Call c:\system.sav\util\SetVariables.cmd
Set block=%~dp0
CD /D "%block%"
REM Remove the REM from the next line if your component does not support Silent Install (Application Recovery)
REM Erase /F /Q *.CVA
REM Add the command-line to have your component to be installed properly


REM =====================================add on 20250709 =====================================
REM Tool: Realtek End-user-RTL8125BPupdate-2.8.6.5 // FW: RTL8125BP v5.2.5
Pushd RTL8125BP_5.2.5
    net session >nul 2>&1
    if %errorlevel% neq 0 (
    echo [!]
    powershell -Command "Start-Process '%~f0' -Verb RunAs"
    exit /b
)
call WINPG64_IOCTL.BAT
cls
echo.                                                                                                     
echo RTL8125BP v5.2.5 update passed, please wait 15 seconds to close the message.
timeout /t 15
exit

REM =====================================add on 20250709 =====================================

REM Erase failure flag file when install succeeded. Most applications return zero to indicate success.
EXIT /B %ERRORLEVEL%

